#
# spec file for package harminv
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           harminv
Version:        1.3.1
Release:        lp152.3.5
%define somajor 2
Summary:        Harminv solves the problem of harmonic inversion
License:        GPL-2.0+
Group:          Productivity/Scientific/Electronics
Url:            http://ab-initio.mit.edu/wiki/index.php/Harminv
Source0:        http://ab-initio.mit.edu/harminv/harminv-%{version}.tar.gz
# PATCH-FIX-UPSTREAM harminv_change_protos_with_harminv_complex.patch -- https://github.com/stevengj/meep/issues/13
Patch1:         harminv_change_protos_with_harminv_complex.patch
BuildRequires:  blas-devel
BuildRequires:  gcc-fortran
BuildRequires:  lapack-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define FORTRAN_COMPILER gfortran

%description
Harminv is a program to solve the problem of harmonic inversion — given
a discrete-time, finite-length signal that consists of a sum of
finitely-many sinusoids (possibly exponentially decaying) in a given
bandwidth, it determines the frequencies, decay constants, amplitudes,
and phases of those sinusoids.

%package -n     libharminv%{somajor}
Summary:        Harminv library solves the problem of harmonic inversion
Group:          System/Libraries

%description -n libharminv%{somajor}
Harminv is library to solve the problem of harmonic inversion — given
a discrete-time, finite-length signal that consists of a sum of
finitely-many sinusoids (possibly exponentially decaying) in a given
bandwidth, it determines the frequencies, decay constants, amplitudes,
and phases of those sinusoids.

%package        devel
Summary:        Libraries and header files for harminv library
Group:          Development/Libraries/C and C++
Requires:       libharminv%{somajor} = %{version}

%description    devel
Harminv is library to solve the problem of harmonic inversion — given
a discrete-time, finite-length signal that consists of a sum of
finitely-many sinusoids (possibly exponentially decaying) in a given
bandwidth, it determines the frequencies, decay constants, amplitudes,
and phases of those sinusoids.

This package contains libraries and header files for developing
applications that use harminv.

%prep
%setup -q
%patch1 -p1

sed -i 's/@LIBS@//g' harminv.pc.in

%build
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
export FFLAGS="%{optflags} -fPIC"
%configure --enable-shared --disable-static
make

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libharminv%{somajor} -p /sbin/ldconfig

%postun -n libharminv%{somajor} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*

%files -n libharminv%{somajor}
%defattr(-,root,root)
%{_libdir}/libharminv.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libharminv.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Wed Feb 25 2015 normand@linux.vnet.ibm.com
- new patch harminv_change_protos_with_harminv_complex.patch
  required for ppc64 architecture to avoid make check error
  while building meep package.
* Sun Jan 25 2015 dmitry_r@opensuse.org
- Move library to separate package according to SLPP
* Fri May 11 2012 scorot@free.fr
- remove conditional BuildRequires for blas and lapack since
  recent lapack now build correctly for all suse version
* Sat Apr 14 2012 badshah400@gmail.com
- Update BuildRequires in keeping with lapack package naming
  changes
- Spec file cleanups
- Modify License in keeping with spdx.org specifications.
